Name:		evolution-rss
Summary:	Evolution RSS Reader
Version:	0.1.2
Release:	12%{?dist}
Group:		Applications/Internet
License:	GPLv2 and GPLv2+
URL:		http://gnome.eu.org/evo/index.php/Evolution_RSS_Reader_Plugin
Source:		http://gnome.eu.org/%{name}-%{version}.tar.gz
Patch0:		evolution-rss-0.1.2-updateinterval.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	evolution

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

BuildRequires:	gettext
BuildRequires:	evolution-devel
BuildRequires:	evolution-data-server-devel 
BuildRequires:	dbus-glib-devel
BuildRequires:	xulrunner-devel-unstable
BuildRequires:	WebKit-gtk-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	libtool
BuildRequires:	intltool

%description
This is an evolution plugin which enables evolution to read rss feeds.

%prep
%setup -q -n evolution-rss-%{version}
%patch0 -p0 -b .updateinterval

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR="%{buildroot}" INSTALL="install -p"
find %{buildroot} -name \*\.la -print | xargs rm -f
%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
/sbin/ldconfig

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README TODO
# Only the following binary is under GPLv2. Other
# parts are under GPLv2+.
%{_bindir}/evolution-import-rss
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/evolution/*/errors/org-gnome-evolution-rss.error
%{_datadir}/evolution/*/glade/*.glade
%{_datadir}/evolution/*/images/*.png
%{_libdir}/evolution/*/plugins/org-gnome-evolution-rss.eplug
%{_libdir}/evolution/*/plugins/org-gnome-evolution-rss.xml
%{_libdir}/evolution/*/plugins/liborg-gnome-evolution-rss.so
%{_libdir}/bonobo/servers/GNOME_Evolution_RSS_*.server

%changelog
* Mon Aug 03 2009 Christopher Aillon <caillon@redhat.com> - 0.1.2-12
- Rebuild against newer gecko

* Fri Jul 17 2009 Jan Horak <jhorak@redhat.com> - 0.1.2-11
- Rebuild against newer gecko

* Tue Jun 30 2009 Christopher Aillon <caillon@redhat.com> - 0.1.2-10
- Rebuild against newer gecko

* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 0.1.2-9
- Rebuild against newer gecko

* Sun Apr 12 2009 Lucian Langa <cooly@gnome.eu.org> - 0.1.2-8
- EVR bump

* Sat Apr 11 2009 Lucian Langa <cooly@gnome.eu.org> - 0.1.2-5
- temporary fix for bug #489217: set interval longer than 100 minutes

* Sun Mar 08 2009 Lucian Langa <cooly@gnome.eu.org> - 0.1.2-4
- rebuild against newer webkit

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 19 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.2-2
- add intltool as buildrequires

* Wed Nov 19 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.2-1
- new upstream 0.1.2

* Sat Sep 27 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.1-3
- new upstream snapshot for 0.1.1

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.1-2
- fix for #458818

* Thu Jul 29 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.1-1
- remove patches for RH #452322 (fixed upstream)
- Update to devel version 0.1.1

* Thu Jul 24 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.0-2
- Fix firefox import RH bug #452322

* Wed Jul  2 2008 Lucian Langa <cooly@gnome.eu.org> - 0.1.0-1
- New upstream

* Thu Mar 24 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-5
- Fixed wrong function def in previous patch

* Thu Mar 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-4
- Fix for No rss feeds configured

* Thu Mar 22 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-3
- Upstream fix for empty description

* Thu Mar  4 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-2
- Rebuild against libxul

* Thu Mar  3 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.8-1
- Update to 0.0.8 release

* Thu Feb 28 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-9
- Build against xulrunner

* Tue Feb 19 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-8
- Misc cleanups

* Sat Feb 17 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-7
- Misc cleanup

* Sat Feb 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.0.7-6
- Drop gecko requirements till xulrunner is fixed

* Tue Feb 12 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-5
- buildroot fixes

* Wed Feb 06 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-4
- Modified firefox-devel requirement for build

* Wed Jan 30 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-1
- Updates and sanitize

* Thu Jan 24 2008 Lucian Langa <lucilanga@gnome.org> - 0.0.7-1
- Fixed rpmlint warnings
- Updated to Fedora Packaging Guidelines

* Thu Nov 22 2007 Lucian Langa <lucilanga@gnome.org> - 0.0.6-1
- Added gconf schemas
- Added evolution-import-rss

* Tue Sep 04 2007 Lucian Langa <lucilanga@gnome.org> - 0.0.5
- Updated installed files

* Mon Apr 23 2007 root <root@mayday> - 0.0.1
- Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
